aboutsummaryrefslogtreecommitdiffhomepage
path: root/Firestore/test.sh
diff options
context:
space:
mode:
authorGravatar Gil <mcg@google.com>2017-10-03 08:55:22 -0700
committerGravatar GitHub <noreply@github.com>2017-10-03 08:55:22 -0700
commitbde743ed25166a0b320ae157bfb1d68064f531c9 (patch)
tree4dd7525d9df32fa5dbdb721d4b0d4f9b87f5e884 /Firestore/test.sh
parentbf550507ffa8beee149383a5bf1e2363bccefbb4 (diff)
Release 4.3.0 (#327)
Initial release of Firestore at 0.8.0 Bump FirebaseCommunity to 0.1.3
Diffstat (limited to 'Firestore/test.sh')
-rwxr-xr-xFirestore/test.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/Firestore/test.sh b/Firestore/test.sh
new file mode 100755
index 0000000..7e26e3f
--- /dev/null
+++ b/Firestore/test.sh
@@ -0,0 +1,49 @@
+#!/usr/bin/env bash
+
+# Copyright 2017 Google
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+# http://www.apache.org/licenses/LICENSE-2.0
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -euo pipefail
+
+FIRESTORE_DIR=$(dirname "${BASH_SOURCE[0]}")
+
+test_iOS() {
+ xcodebuild \
+ -workspace "$FIRESTORE_DIR/Example/Firestore.xcworkspace" \
+ -scheme Firestore_Tests \
+ -sdk iphonesimulator \
+ -destination 'platform=iOS Simulator,name=iPhone 7' \
+ build \
+ test \
+ ONLY_ACTIVE_ARCH=YES \
+ CODE_SIGNING_REQUIRED=NO \
+ | xcpretty
+
+ xcodebuild \
+ -workspace "$FIRESTORE_DIR/Example/Firestore.xcworkspace" \
+ -scheme SwiftBuildTest \
+ -sdk iphonesimulator \
+ -destination 'platform=iOS Simulator,name=iPhone 7' \
+ build \
+ ONLY_ACTIVE_ARCH=YES \
+ CODE_SIGNING_REQUIRED=NO \
+ | xcpretty
+}
+
+test_iOS; RESULT=$?
+if [[ $RESULT == 65 ]]; then
+ echo "xcodebuild exited with 65, retrying"
+ sleep 5
+
+ test_iOS; RESULT=$?
+fi
+
+exit $RESULT